package com.zd.exam.service;

import com.zd.exam.domain.ElSafeTrain;
import com.zd.exam.domain.vo.ElSafeTrainVO;

import java.util.List;


/**
 * 安全培训Service接口
 *
 * @author zd
 * @date 2021-09-07
 */
public interface IElSafeTrainService {
    /**
     * 查询安全培训
     *
     * @param id 安全培训主键
     * @return 安全培训
     */
    public ElSafeTrain selectElSafeTrainById(Long id);

    /**
     * 查询安全培训列表
     *
     * @param elSafeTrain 安全培训
     * @return 安全培训集合
     */
    public List<ElSafeTrain> selectElSafeTrainList(ElSafeTrain elSafeTrain);


    /**
     * 查询安全培训列表vo
     *
     * @param elSafeTrain 安全培训
     * @return 安全培训集合
     */
    public List<ElSafeTrainVO> selectElSafeTrainVOList(ElSafeTrain elSafeTrain);

    /**
     * 新增安全培训
     *
     * @param elSafeTrain 安全培训
     * @return 结果
     */
    public int insertElSafeTrain(ElSafeTrain elSafeTrain);

    /**
     * 修改安全培训
     *
     * @param elSafeTrain 安全培训
     * @return 结果
     */
    public int updateElSafeTrain(ElSafeTrain elSafeTrain);

    /**
     * 批量删除安全培训
     *
     * @param ids 需要删除的安全培训主键集合
     * @return 结果
     */
    public int deleteElSafeTrainByIds(Long[] ids);

    /**
     * 删除安全培训信息
     *
     * @param id 安全培训主键
     * @return 结果
     */
    public int deleteElSafeTrainById(Long id);
}
